Get Mark Price History
curl --request GET \
--url https://testnet.derivadex.io/exchange/api/v1/mark_pricesimport requests
url = "https://testnet.derivadex.io/exchange/api/v1/mark_prices"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://testnet.derivadex.io/exchange/api/v1/mark_prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://testnet.derivadex.io/exchange/api/v1/mark_prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://testnet.derivadex.io/exchange/api/v1/mark_prices"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://testnet.derivadex.io/exchange/api/v1/mark_prices")
.asString();require 'uri'
require 'net/http'
url = URI("https://testnet.derivadex.io/exchange/api/v1/mark_prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"nextGlobalOrdinal": 100,
"value": [
{
"globalOrdinal": 9,
"epochId": 100,
"symbol": "ETHP",
"price": 3428.44,
"fundingRate": 0.005,
"createdAt": "2023-01-06T16:37:27.929Z"
}
],
"success": true,
"timestamp": 1673031089
}{
"success": false,
"errorMsg": "<string>"
}{
"success": false,
"errorMsg": "<string>"
}Market
Get Mark Price History
Get mark prices over time
GET
/
exchange
/
api
/
v1
/
mark_prices
Get Mark Price History
curl --request GET \
--url https://testnet.derivadex.io/exchange/api/v1/mark_pricesimport requests
url = "https://testnet.derivadex.io/exchange/api/v1/mark_prices"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://testnet.derivadex.io/exchange/api/v1/mark_prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://testnet.derivadex.io/exchange/api/v1/mark_prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://testnet.derivadex.io/exchange/api/v1/mark_prices"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://testnet.derivadex.io/exchange/api/v1/mark_prices")
.asString();require 'uri'
require 'net/http'
url = URI("https://testnet.derivadex.io/exchange/api/v1/mark_prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"nextGlobalOrdinal": 100,
"value": [
{
"globalOrdinal": 9,
"epochId": 100,
"symbol": "ETHP",
"price": 3428.44,
"fundingRate": 0.005,
"createdAt": "2023-01-06T16:37:27.929Z"
}
],
"success": true,
"timestamp": 1673031089
}{
"success": false,
"errorMsg": "<string>"
}{
"success": false,
"errorMsg": "<string>"
}Query Parameters
The number of rows to return
The epoch boundary used when fetching the next timeseries page.
The symbol
The ordering of the results.
Available options:
asc, desc The global ordinal boundary used when fetching the next timeseries page.
Response
Mark price data
Successful response for the Mark Price API
Pointer for the global ordinal boundary of the next page. Will return null when there is no more data left to fetch.
Examples:
100
null
The value of the response
Show child attributes
Show child attributes
Whether the request was successful
The timestamp of the response
Example:
1673031089
Last modified on June 23, 2026